

/*******************************************************************************
 * Testovac tda BankTest slou ke komplexnmu otestovn
 * tdy Bank
 *
 * @author    Tom Pitner
 * @version   1.00, 10.8.2005
 */
public class BankTest extends junit.framework.TestCase {

    private Bank myBank; 
    private Person me;

    /***************************************************************************
     * Vytvo test se zadanm nzvem.
     *
     * @param nzev  Nzev konstruovanho testu
     */
    public BankTest( String nzev ) {
        super( nzev );
    }



//== PPRAVA A KLID PPRAVDKU ===============================================

    /***************************************************************************
     * Vytvoen ppravku (fixture), tj. sady objekt, s nimi budou vechny
     * testy pracovat a kter se proto vytvo ped sputnm kadho testu.         
     */
    protected void setUp() {
        myBank = new Bank("My Bank");
        me = new Person("Jan Novak", 30);
    }


    /***************************************************************************
     * klid po testu - tato metoda se spust po vykonn kadho testu.
     */
    protected void tearDown()
    {
    }

    /***************************************************************************
     * Testuje, zda je poet t po vytvoen banky 0
     */
    public void testNoAccountOnBankCreation() {
        assertEquals("Account count should be 0 at Bank creation.", 
            0, myBank.getAccountCount());
    }
    
    /***************************************************************************
     * Testuje, zda se poet t po vytvoen dalho zv o jedna
     */
    public void testCountIncrementsOnAccountCreation() {
        myBank.createPrivateAccount(me, 1000.0);
        myBank.createPrivateAccount(me, 1000.0);
        myBank.createPrivateAccount(me, 1000.0);
        assertEquals("Account count should be incremented at account creation.", 
            3, myBank.getAccountCount());
    }
    
    /***************************************************************************
     * Testuje, zda se vytvo dal et
     */
    public void testAccountCreated() {
        assertNotNull("Created Account should not be null.", 
            myBank.createPrivateAccount(me, 1000));
    }
    
}
